For the complete documentation index, see llms.txt. This page is also available as Markdown.

Maintenance Orders

The Maintenance Orders endpoint allows you to submit hardware service requests for an existing POI device. Supported service types include swaps, repairs, and warranty claims.

How It Works

1

Identify the POI

Retrieve the poiUid for the device requiring maintenance. Use GET /orders/{orderId} or your entity management system to confirm the correct identifier.

2

Submit the maintenance request

POST /pois/orders/maintenance/{poiUid} — Specify the type of maintenance required (swap, repair, warranty) and any supporting details.

3

Track the order

Use GET /orders/{orderId} (see Orders — Common) to monitor the maintenance order status through to completion.

API Reference

POI Maintenance Order Request

POI Maintenance Order Request

post

Submits a POI Maintenance Order Request

Path parameters
poiUidstring · uuidRequired

The Verifone allocated unique id for this terminal/POI. This is allocated by Verifone when an order is initially received.

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
Body
orderReferencestring · min: 1Required

Client reference for the Order.

Example: ORD-1234
customerEntityUidstring · uuidRequired

Verifone allocated ID for the customer this order is for (packages and bundles are associated with this entity).

requestedDatestring · date-timeOptional

The requested date for this order.

deferredOrderProcessingDatestring · date-timeOptional

Defers order processing until the specified ISO 8601 UTC datetime (e.g. 2026-06-20T09:00:00Z). The workflow will not start before this point. If absent, processing begins immediately.

Example: 2026-06-20T09:00:00Z
poRefstringOptional

Purchase Order Reference

Example: 85219587
notesstringOptional

Notes for the Order

Example: Current in draft, caller got busy, callback anothertime.
maintenanceTypestring · enumRequiredPossible values:
Responses
201

Create POI Maintenance Order Response

application/json
orderReferencestring · min: 1Required

Client reference for the Order.

Example: ORD-1234
customerEntityUidstring · uuidRequired

Verifone allocated ID for the customer this order is for (packages and bundles are associated with this entity).

requestedDatestring · date-timeOptional

The requested date for this order.

deferredOrderProcessingDatestring · date-timeOptional

Defers order processing until the specified ISO 8601 UTC datetime (e.g. 2026-06-20T09:00:00Z). The workflow will not start before this point. If absent, processing begins immediately.

Example: 2026-06-20T09:00:00Z
poRefstringOptional

Purchase Order Reference

Example: 85219587
notesstringOptional

Notes for the Order

Example: Current in draft, caller got busy, callback anothertime.
maintenanceTypestring · enumRequiredPossible values:
orderIdstring · uuidRequired

Verifone allocated ID for the Order.

Example: 32c480b5-4dfb-4c53-959f-49edf45a0931
statusstring · enumRequiredPossible values:
createdUserUidstring · uuidOptional

The assigned User ID corresponding to the Order Created By.

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
createdBystring · min: 1Optional

The username of the person who's UID is represented, e.g. "John/Jane Smith".

createdDatestring · date-timeOptional

The created date for this order.

modifiedUserUidstring · uuidOptional

The assigned User_ID corresponding to the Order Modified By.

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
modifiedBystring · min: 1Optional

The username of the person who's UID is represented, e.g. "John/Jane Smith".

modifiedDatestring · date-timeOptional

The last modified date for this order.

orderTypestringRequiredDefault: POIMaintenanceOrder
entityUidstring · uuidOptional

The Verifone allocated unique id for this site.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
merchantCompanyEntityUidstring · uuidOptional

The Verifone allocated unique ID for this merchant company.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
post/pois/orders/maintenance/{poiUid}
POST /pois/orders/maintenance/{poiUid} HTTP/1.1
Host: api.verifone.com
Content-Type: application/json
Accept: */*
Content-Length: 1068

{
  "orderReference": "ORD-1234",
  "customerEntityUid": "123e4567-e89b-12d3-a456-426614174000",
  "requestedDate": "2026-01-01T00:00:00.000Z",
  "deferredOrderProcessingDate": "2026-06-20T09:00:00Z",
  "poRef": "85219587",
  "paymentDetails": {
    "paymentType": "CREDIT",
    "accountType": "CHEQUE",
    "accountCurrency": "AED",
    "institutionName": "HSBC Bank",
    "accountName": "Coffee Supreme LTD",
    "sortCode": "301105",
    "bsb": 22039,
    "routingTransitNumber": "247484410",
    "accountNumber": "23008275",
    "accountAddress": {
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "ean": "23008275",
    "iban": "text",
    "bic": "CTBAAU2SXXX"
  },
  "notes": "Current in draft, caller got busy, callback anothertime.",
  "additionalOrderData": [
    {
      "variableName": "VAT_ID or BAX_ID",
      "variableValue": "1234566"
    }
  ],
  "maintenanceType": "Swapout",
  "deliveryPackage": {
    "packageBundleId": "PREMIUM-36MONTH",
    "additionalPackageData": [
      {
        "variableName": "VAT_ID or BAX_ID",
        "variableValue": "1234566"
      }
    ]
  }
}
{
  "orderReference": "ORD-1234",
  "customerEntityUid": "123e4567-e89b-12d3-a456-426614174000",
  "requestedDate": "2026-01-01T00:00:00.000Z",
  "deferredOrderProcessingDate": "2026-06-20T09:00:00Z",
  "poRef": "85219587",
  "paymentDetails": {
    "paymentType": "CREDIT",
    "accountType": "CHEQUE",
    "accountCurrency": "AED",
    "institutionName": "HSBC Bank",
    "accountName": "Coffee Supreme LTD",
    "sortCode": "301105",
    "bsb": 22039,
    "routingTransitNumber": "247484410",
    "accountNumber": "23008275",
    "accountAddress": {
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "ean": "23008275",
    "iban": "text",
    "bic": "CTBAAU2SXXX"
  },
  "notes": "Current in draft, caller got busy, callback anothertime.",
  "additionalOrderData": [
    {
      "variableName": "VAT_ID or BAX_ID",
      "variableValue": "1234566"
    }
  ],
  "maintenanceType": "Swapout",
  "deliveryPackage": {
    "packageBundleId": "PREMIUM-36MONTH",
    "additionalPackageData": [
      {
        "variableName": "VAT_ID or BAX_ID",
        "variableValue": "1234566"
      }
    ]
  },
  "orderId": "32c480b5-4dfb-4c53-959f-49edf45a0931",
  "status": "DRAFT",
  "createdUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
  "createdBy": "text",
  "createdDate": "2026-01-01T00:00:00.000Z",
  "modifiedUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
  "modifiedBy": "text",
  "modifiedDate": "2026-01-01T00:00:00.000Z",
  "orderType": "POIMaintenanceOrder",
  "entityUid": "14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9",
  "merchantCompanyEntityUid": "14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9",
  "merchant": {
    "merchantName": "text"
  },
  "internal": {
    "oracleOrderNumber": 1,
    "oracleShippingTrackingReference": "text",
    "kycReportUid": "123e4567-e89b-12d3-a456-426614174000",
    "tokenScopeUid": "123e4567-e89b-12d3-a456-426614174000",
    "extendedDetails": {
      "status": "DRAFT",
      "code": "text",
      "information": "text",
      "lastChangeTime": "2020-01-06T18:16:14.243Z",
      "canCancel": true
    },
    "orderStats": {
      "minsSinceCreatedToLastUpdate": 0,
      "minsSinceLastStatusUpdate": 0
    },
    "vmssApplication": {
      "visaStatus": "NA ",
      "visaMatches": 1,
      "mcdStatus": "NA ",
      "mcdMatches": 1,
      "mcdTransactionReference": "text"
    },
    "salesforceApplicationId": "text",
    "signingInformation": {
      "provider": "SIGNICAT",
      "providerRef": "text",
      "signedFileUrl": "text",
      "signingRequests": [
        {
          "providerRef": "text",
          "contact": {
            "contactType": "BUSINESS",
            "name": {
              "firstName": "text",
              "lastName": "text",
              "prefix": "text",
              "alternateFullName": "text",
              "middleName": "text",
              "suffix": "text"
            },
            "phoneNumbers": [
              {
                "callingCode": "text",
                "value": "text",
                "extension": "text",
                "isPrimary": false,
                "phoneType": "HOME"
              }
            ],
            "email": "name@gmail.com",
            "businessTitle": "text"
          },
          "signed": false,
          "signedDateTime": "2026-01-01T00:00:00.000Z",
          "signingLink": "text"
        }
      ]
    },
    "econtractNotificationReminder": {
      "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
      "notificationCount": 1,
      "templateName": "text",
      "notifications": [
        {
          "sentDateTime": "2026-01-01T00:00:00.000Z",
          "template": "text",
          "responseReferenceId": "text"
        }
      ]
    },
    "draftNotificationReminder": {
      "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
      "notificationCount": 1,
      "templateName": "text",
      "notifications": [
        {
          "sentDateTime": "2026-01-01T00:00:00.000Z",
          "template": "text",
          "responseReferenceId": "text"
        }
      ]
    },
    "notificationReminders": {
      "econtract": {
        "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
        "notificationCount": 1,
        "templateName": "text",
        "notifications": [
          {
            "sentDateTime": "2026-01-01T00:00:00.000Z",
            "template": "text",
            "responseReferenceId": "text"
          }
        ]
      },
      "draft": {
        "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
        "notificationCount": 1,
        "templateName": "text",
        "notifications": [
          {
            "sentDateTime": "2026-01-01T00:00:00.000Z",
            "template": "text",
            "responseReferenceId": "text"
          }
        ]
      },
      "docRequired": {
        "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
        "notificationCount": 1,
        "templateName": "text",
        "notifications": [
          {
            "sentDateTime": "2026-01-01T00:00:00.000Z",
            "template": "text",
            "responseReferenceId": "text"
          }
        ]
      }
    },
    "customerOrderLink": {
      "orderLink": "https://example.com",
      "linkInitiatorUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
      "linkInitiatorUsername": "text",
      "linkReceiverUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
      "linkReceiverUsername": "text",
      "linkSendTime": "2026-01-01T00:00:00.000Z",
      "linkOpendByCustomerTime": "2026-01-01T00:00:00.000Z",
      "customerUpdateTime": "2026-01-01T00:00:00.000Z"
    },
    "cancellationHistory": [
      {
        "cancelReasonEnum": "ADMIN_REASON",
        "cancelAdditionalReason": "text",
        "cancelledUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
        "cancelledBy": "text",
        "cancelledDate": "2026-01-01T00:00:00.000Z"
      }
    ],
    "externalOnboarding": {
      "provider": "BANKAXEPT",
      "agreementId": "123e4567-e89b-12d3-a456-426614174000",
      "agreementStatus": "text",
      "merchantId": "text"
    }
  }
}

Device Exchange

post

Submits a device exchange request, recording the old device being sent for repair and the replacement device being exchanged in. Returns the DID associated with the replacement device.

Body
oldDeviceSerialNumberstringRequired

Serial number of the device being sent for repair / exchanged out.

newDeviceSerialNumberstringOptional

Serial number of the replacement device being exchanged in.

priorityExchangebooleanRequired

true = Advance Exchange (a new DID is assigned to the replacement device); false = Non-Priority Exchange (the existing DID is retained).

customerEntityUidstring · uuidOptional

Customer entity UID for profile lookup.

Responses
200

Device exchange processed successfully

application/json
deviceIdstringRequired

The DID returned after the device exchange.

post/devices/exchange
POST /devices/exchange HTTP/1.1
Host: api.verifone.com
Content-Type: application/json
Accept: */*
Content-Length: 146

{
  "oldDeviceSerialNumber": "text",
  "newDeviceSerialNumber": "text",
  "priorityExchange": true,
  "customerEntityUid": "123e4567-e89b-12d3-a456-426614174000"
}
{
  "deviceId": "text"
}

Last updated

Was this helpful?